ACH Debit
Create an ACH mandate
POST
/
customers
/
{customer_id}
/
ach-mandates
Create an ACH mandate
curl --request POST \
--url https://commerce1.on-hellgate.dev/customers/{customer_id}/ach-mandates \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"account_holder": "<string>",
"account_number": "<string>",
"account_type": "<string>",
"routing_number": "<string>",
"country_code": "<string>",
"email": "<string>"
}
'import requests
url = "https://commerce1.on-hellgate.dev/customers/{customer_id}/ach-mandates"
payload = {
"account_holder": "<string>",
"account_number": "<string>",
"account_type": "<string>",
"routing_number": "<string>",
"country_code": "<string>",
"email": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_holder: '<string>',
account_number: '<string>',
account_type: '<string>',
routing_number: '<string>',
country_code: '<string>',
email: '<string>'
})
};
fetch('https://commerce1.on-hellgate.dev/customers/{customer_id}/ach-mandates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_holder": "<string>",
"account_number": "<string>",
"account_type": "<string>",
"country_code": "<string>",
"email": "<string>",
"routing_number": "<string>",
"status": "<string>",
"token": "<string>"
}{
"classifier": "<string>",
"code": 123,
"message": "<string>"
}Authorizations
Headers
Identifies the account. Required when authenticating via mTLS — omit when using an API key (account is inferred from the key).
Path Parameters
Customer ID
Body
application/json
Body
⌘I
Create an ACH mandate
